FEVER-COMPLETION-BASH(1)

NAME

fever-completion-bash - Generate the autocompletion script for bash

SYNOPSIS

fever completion bash

DESCRIPTION

Generate the autocompletion script for the bash shell.

This script depends on the 'bash-completion' package. If it is not installed already, you can install it via your OS's package manager.

To load completions in your current shell session:

    source <(fever completion bash)

To load completions for every new session, execute once:

  Linux:
    fever completion bash > /etc/bash_completion.d/fever

  macOS:
    fever completion bash > $(brew --prefix)/etc/bash_completion.d/fever

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for bash

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is $HOME/.fever.yaml)

--mgmt-host=""
    hostname:port definition for management server

--mgmt-network="tcp"
    network (tcp/udp) definition for management server

--mgmt-socket="/tmp/fever-mgmt.sock"
    Socket path for management server

SEE ALSO

fever-completion(1)